introStart:
 set appTextSave,(iy+appFlags)
 set textwrite,(iy+sGrFlags)    ; _vputs writes directly to graph

 ld a,1
 ld (temp),a

introLoop:
 B_CALL GrBufClr

 ld hl,46*256+10
 ld (pencol),hl
 ld hl,intro_text1
 call vputsApp

 ; show save game

 ld hl,256*24+56
 ld (pencol),hl
; ld hl,char1
 call loadAppvarInDE
 ex de,hl
 ld a,(hl)
 or a
 jr nz,introHaveSavedGame

 ld a,2
 ld (temp),a
 jr skipIntroShowSavedData

introHaveSavedGame:
 call vputsApp

 ld hl,256*30+56
 ld (pencol),hl
 ld hl,lvText
 call vputsApp
 
; ld a,(level1) 
 ld hl,(appvarPointer)
 ld de,12
 add hl,de
 ld a,(hl)

 B_CALL setxxop1
 ld a,3
 B_CALL dispop1a

 ld hl,256*36+56
 ld (pencol),hl
; ld hl,hp1
 ld hl,(appvarPointer)
 ld de,6
 add hl,de
 call showHL

 ld a,Lslash
 B_CALL vputmap

; ld hl,hp1+2
 ld hl,(appvarPointer)
 ld de,8
 add hl,de
 call showHL

 ; show character pics

 call loadAppvarInDE
 ld hl,19
 add hl,de
 ld (appvarPointer),hl
 call getIntroCharPic
 ld de,plotsscreen+289
 call showBattle16

 ld hl,(appvarPointer)
 ld de,30
 add hl,de
 call getIntroCharPic
 ld de,plotsscreen+291
 call showBattle16

 ld hl,(appvarPointer)
 ld de,60
 add hl,de
 call getIntroCharPic
 ld de,plotsscreen+293
 call showBattle16



skipIntroShowSavedData:
 ; invert a box
 ld b,240
 ld hl,plotsscreen+288
 ld a,(temp)
 cp 1
 jr z,introInvertBox

 ld de,240
 add hl,de
introInvertBox:
 ld a,(hl)
 cpl a
 ld (hl),a
 inc hl
 djnz introInvertBox

 B_CALL grbufcpy

 xor a
 ld (currow),a
 ld (curcol),a
 ld hl,intro_text0
 call putsApp

 B_CALL getkey
 cp kEnter
 jr z,introSelect
 cp kUp
 jr z,introUp
 cp kDown
 jr z,introDown
 cp kMode
 jp nz,introLoop
 jp exit

introUp:
  ld a,1
  ld (temp),a
  jp introLoop

introDown:
  ld a,2
  ld (temp),a
  jp introLoop

introSelect:
 ld a,(temp)
 cp 1
 jr z,restoreOldGame

 call initialize
 call setupAppvarData

  call rebelAttack
  call forestChase

 ld a,3
 ld (partyMembers),a

restoreOldGame:
 ; go into the real game
 ld hl,appBackUpScreen
 ld (hl),0
 ld de,appBackUpScreen+1
 ld bc,256
 ldir
 jp setupOverworld


getIntroCharPic:
 ld a,(hl)
 ld hl,battleSprites
 add a,a
 add a,a
 add a,a
 add a,a
 add a,a
 ld e,a
 ld d,0
 add hl,de
 ret

intro_text0: .asciz "RPG Beta 3"
intro_text1: .asciz "New Game"
